Package org.apache.sling.sitemap.builder.extensions

## Interface GoogleNewsExtension

All Superinterfaces:
  `Extension`

    @ProviderType
    public interface GoogleNewsExtension
    extends Extension

An extension to add news metadata to an `Url`.

See Also:
  Google News sitemaps

### Nested Class Summary

Nested Classes
`static class` `GoogleNewsExtension.AccessRestriction`
`static class` `GoogleNewsExtension.Genre`

### Method Summary

All Methods Instance Methods Abstract Methods
`@NotNull GoogleNewsExtension` `setAccessRestriction​(@Nullable GoogleNewsExtension.AccessRestriction accessRestriction)`
`@NotNull GoogleNewsExtension` `setGenres​(@Nullable Collection<GoogleNewsExtension.Genre> genres)`
`@NotNull GoogleNewsExtension` `setKeywords​(@Nullable Collection<String> keywords)`
`@NotNull GoogleNewsExtension` `setPublication​(@NotNull String name, @NotNull Locale locale)`
`@NotNull GoogleNewsExtension` `setPublicationDate​(@NotNull LocalDate date)`
`@NotNull GoogleNewsExtension` `setPublicationDate​(@NotNull OffsetDateTime date)`
`@NotNull GoogleNewsExtension` `setStockTickers​(@Nullable Collection<String> stockTickers)`
`@NotNull GoogleNewsExtension` `setTitle​(@NotNull String title)`

### Method Detail

#### setPublication

    @NotNull
    @NotNull GoogleNewsExtension setPublication​(@NotNull
                                                @NotNull String name,
                                                @NotNull
                                                @NotNull Locale locale)

#### setPublicationDate

    @NotNull
    @NotNull GoogleNewsExtension setPublicationDate​(@NotNull
                                                    @NotNull OffsetDateTime date)

#### setPublicationDate

    @NotNull
    @NotNull GoogleNewsExtension setPublicationDate​(@NotNull
                                                    @NotNull LocalDate date)

#### setTitle

    @NotNull
    @NotNull GoogleNewsExtension setTitle​(@NotNull
                                          @NotNull String title)

#### setAccessRestriction

    @NotNull
    @NotNull GoogleNewsExtension setAccessRestriction​(@Nullable
                                                      @Nullable GoogleNewsExtension.AccessRestriction accessRestriction)

#### setGenres

    @NotNull
    @NotNull GoogleNewsExtension setGenres​(@Nullable
                                           @Nullable Collection<GoogleNewsExtension.Genre> genres)

#### setKeywords

    @NotNull
    @NotNull GoogleNewsExtension setKeywords​(@Nullable
                                             @Nullable Collection<String> keywords)

#### setStockTickers

    @NotNull
    @NotNull GoogleNewsExtension setStockTickers​(@Nullable
                                                 @Nullable Collection<String> stockTickers)